#include <bits/stdc++.h>
#define N 202020
using namespace std;

int svea(string s,int n)
{
    int suma=0;
    for(int i=0;i<n;i++)
    {
        if(s[i]!='a')
            return 0;
        suma++;
    }
    return suma;
}

int main()
{   string t,s;
    cin>>t>>s;
    int n,m,suma;
    n=t.length();
    m=s.length();
    if(s=="a")
    {
        suma=0;
        for(int i=0;i<n;i++)
        {
            if(t[i]=='a')
                suma++;
        }
        cout << suma << endl;
        for(int i=0;i<n;i++)
        {
            if(t[i]!='a')
                putchar(t[i]);
            else
                putchar('*');

        }
        putchar('\n');
        return 0;
    }
    suma=svea(s,m);
    if(suma)
    {
        suma=-suma;
        for(int i=0;i<n;i++)
        {
            if(t[i]=='a')
                suma++;
        }
        suma++;
        if(suma>0)
            cout << suma << endl;
        else
            cout << 0 << endl;
        for(int i=0;i<n;i++)
        {
            if(t[i]!='a'||suma<=0)
                putchar(t[i]);
            else if(suma>0)
            {
                putchar('*');
                suma--;
            }
        }
        return 0;
    }
    if(s=="ab")
    {
        int aodpocetka[N]={},bdokraja[N]={},Min,iMin;
        if(t[0]=='a')
            aodpocetka[0]=1;
        else
            aodpocetka[0]=0;
        for(int i=1;i<n;i++)
        {
            aodpocetka[i]=aodpocetka[i-1];
            if(t[i]=='a')
                aodpocetka[i]++;
        }
        bdokraja[n-1]=0;
        if(t[n-1]=='b')
            bdokraja[n-1]=1;
        for(int i=n-2;i>=0;i--)
        {
            bdokraja[i]=bdokraja[i+1];
            if(t[i]=='b')
                bdokraja[i]++;
        }
        Min=aodpocetka[n-1];iMin=n-1;
        if(bdokraja[0]<Min)
        {
            Min=bdokraja[0];
            iMin=-1;
        }
        for(int i=0;i<n-1;i++)
        {
            if(aodpocetka[i]+bdokraja[i+1]<Min)
            {
                Min=aodpocetka[i]+bdokraja[i+1];
                iMin=i;
            }
        }
        cout << Min << endl;
        for(int i=0;i<n;i++)
        {
            if((i<=iMin&&t[i]=='a')||(i>iMin&&t[i]=='b'))
                putchar('*');
            else
                putchar(t[i]);
        }
        putchar('\n');
        return 0;
    }
    cout << 0 << endl;
    cout << t << endl;
    return 0;
}